package kr.co.hanwha.hifive.data.model;

import android.text.TextUtils;

import java.util.ArrayList;

/**
 * Created by sanghoonkwon on 2018. 1. 22..
 */

public class TaskHistoryData {
    int id;
    String logged_at;
    String log_typename;
    String log_detail;

    public int getId() {
        return id;
    }

    public String getLog_typename() {
        return log_typename;
    }

    public String getLogged_at() {
        return logged_at;
    }

    public String getLog_detail() {
        return log_detail;
    }

    public ArrayList<String> getListLogDetail() {
        ArrayList<String> list_log_detail = new ArrayList<>();
        if (TextUtils.isEmpty(log_detail) == false) {
            String[] logs = log_detail.split("\n");
            for (int i = 0; i < logs.length; i++) {
                list_log_detail.add(logs[i]);
            }
        }

        return list_log_detail;
    }
}
